Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.content
Class JspContentContext

    java.lang.Object
      ControlContext
          com.bea.netuix.servlets.controls.content.JspContentContext

    public class JspContentContext

extends ControlContext

This is a context to support simple JSP portlets with or without backing files. You can use this class directly from a JSP.

All the setter methods in this class should only be called during the `handlePostbackData` method of the backing file. The framework acts on the changes after completion of this method.

Field Summary
`protected static String` | `CLASS_NAME`
`static String` | `CONTENT_CHANGE`
`static String` | `CONTROL_PARAM` The unique id request parameter to identify the source of a JspContentContext.
`static String` | `EVENT_PARAM` The request parameter to indicate the action to be performed by this object.

Constructor Summary
`JspContentContext()` Constructs `JspContentContext`
`JspContentContext(UIControl control)` Constructs `JspContentContext`

Method Summary
`PostbackURL` | `getBaseUrl(HttpServletRequest request, HttpServletResponse response, String event)` Returns a URL that can be used to submit requests.
`PostbackURL` | `getBaseUrl(HttpServletRequest request, HttpServletResponse response, String param, String event)` Returns a URL that can be used to submit requests.
`String` | `getContentUri()` Returns the current URI of the content JSP, if non-null.
`static JspContentContext` | `getJspContentContext(HttpServletRequest request)` Retrieves this context from the request
`Locale` | `getResolvedLocale()` Sets the Locale used when resolving the current URI
`protected String` | `getSendRedirectPath()` Returns the redirect path if set.
`void` | `sendRedirect(String path)` Redirects the client to the given path.
`void` | `setActivePage(String pageLabel)` Changes the active page.
`void` | `setContentUri(String contentUri)` Sets the URI of the content JSP.
`void` | `setJspContentContextInRequest(HttpServletRequest request)` Sets this context in the request.
`void` | `setResolvedLocale(Locale locale)` Sets the Locale used when resolving the current URI
`void` | `setupModeChangeEvent(WindowMode modeValue)` Sets up a mode change event.
`void` | `setupStateChangeEvent(WindowState stateValue)` Sets up a state change event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_CHANGE

    public static final String CONTENT_CHANGE

See Also
  Constants Summary

### CONTROL_PARAM

    public static final String CONTROL_PARAM

  The unique id request parameter to identify the source of a JspContentContext.

  See Also
    Constants Summary

### EVENT_PARAM

    public static final String EVENT_PARAM

  The request parameter to indicate the action to be performed by this object.

  See Also
    Constants Summary

### CLASS_NAME

    protected static final String CLASS_NAME

Constructor Detail

### JspContentContext

    public JspContentContext()

  Constructs `JspContentContext`

  .

### JspContentContext

    public JspContentContext(UIControl control)

  Constructs `JspContentContext`

  .

  Parameters
    `control` - control

Method Detail

### setContentUri

    public void setContentUri(String contentUri)

  Sets the URI of the content JSP.

  Parameters
    `contentUri` - content URI

### getContentUri

    public String getContentUri()

  Returns the current URI of the content JSP, if non-null. If the URI has been set to null, returns the original URI as set when this object was initialized.

  Returns
    content URI

### setResolvedLocale

    public void setResolvedLocale(Locale locale)

  Sets the Locale used when resolving the current URI

  Parameters
    `locale` -

### getResolvedLocale

    public Locale getResolvedLocale()

  Sets the Locale used when resolving the current URI

### setJspContentContextInRequest

    public void setJspContentContextInRequest(HttpServletRequest request)

  Sets this context in the request.

  Parameters
    `request` - HTTP request

### getJspContentContext

    public static JspContentContext getJspContentContext(HttpServletRequest request)

  Retrieves this context from the request

### setActivePage

    public final void setActivePage(String pageLabel)

  Changes the active page. Should be called only during postback.

  Parameters
    `pageLabel` - page label

### setupModeChangeEvent

    public void setupModeChangeEvent(WindowMode modeValue)

  Sets up a mode change event. Should be called only during postback

  Parameters
    `modeValue` - mode

### setupStateChangeEvent

    public void setupStateChangeEvent(WindowState stateValue)

  Sets up a state change event. Should be called only during postback

  Parameters
    `stateValue` - state

### getBaseUrl

    public PostbackURL getBaseUrl(HttpServletRequest request,
                                  HttpServletResponse response,
                                  String event)

  Returns a URL that can be used to submit requests.

  Parameters
    `request` - HTTP request
    `response` - HTTP response
    `event` - event
  Returns
    URL

### getBaseUrl

    public PostbackURL getBaseUrl(HttpServletRequest request,
                                  HttpServletResponse response,
                                  String param,
                                  String event)

  Returns a URL that can be used to submit requests.

  Parameters
    `request` - HTTP request
    `response` - HTTP response
    `param` - name of parameter
    `event` - event
  Returns
    URL

### sendRedirect

    public void sendRedirect(String path)

  Redirects the client to the given path. The path set should follow the same rules that apply to the `sendRedirect` method in `javax.servlet.http.HttpServletResponse`. This method should only be called during postback. Note that the actual redirect happens after executing the `handlePostbackData` method on the backing file.

  Parameters
    `path` - path

### getSendRedirectPath

    protected String getSendRedirectPath()

  Returns the redirect path if set.

  Returns
    redirect path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved